Subject: bug#67514: 30.0.50; completion preview symbol length calculation should use point

From: Herman, Géza <[email-masked]>
Date: Tue, 28 Nov 2023 21:39:49 +0100

I checked out completion-preview, and so far I like it.  There is a
thing which maybe can be improved (so this is not a bug report, just a
suggestion): it's how completion-preview-require-minimum-symbol-length
calculates the length.  Currently it just returns the length of the
symbol under the cursor.  I think it would be better to use the length
of the part that actually will be used for completion, because if the
point is inside a word, then it should only consider the part between
the symbol start end the point.

I mean, completion-preview-require-minimum-symbol-length should look
something like this:

(let ((bounds (bounds-of-thing-at-point 'symbol)))
      (and bounds (<= completion-preview-minimum-symbol-length
                      (- (point) (car bounds)))))